import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  BatchGetDeploymentsInput,
  BatchGetDeploymentsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface BatchGetDeploymentsCommandInput
  extends BatchGetDeploymentsInput {}
export interface BatchGetDeploymentsCommandOutput
  extends BatchGetDeploymentsOutput,
    __MetadataBearer {}
declare const BatchGetDeploymentsCommand_base: {
  new (
    input: BatchGetDeploymentsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    BatchGetDeploymentsCommandInput,
    BatchGetDeploymentsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: BatchGetDeploymentsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    BatchGetDeploymentsCommandInput,
    BatchGetDeploymentsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class BatchGetDeploymentsCommand extends BatchGetDeploymentsCommand_base {
  protected static __types: {
    api: {
      input: BatchGetDeploymentsInput;
      output: BatchGetDeploymentsOutput;
    };
    sdk: {
      input: BatchGetDeploymentsCommandInput;
      output: BatchGetDeploymentsCommandOutput;
    };
  };
}
